Sudo apt-get upgrade returning with error

Device : Jetson Nano 4GB
Jetpack: 4.4.1

Hi
I have download the archived version of jetson nano which had jetpack 4.4.1, and burned the SD card, after that did

sudo apt-get update

which worked with no issue but then doing

sudo apt-get upgrade

gives this error:

Errors were encountered while processing:
nvidia-l4t-bootloader
E: Sub-process /usr/bin/dpkg returned an error code (1)

Even tried the image with jetpack 4.4 but same issue.
Tried burning the same image multiple times but still same.

Downloaded the archive images from here :JetPack Archive | NVIDIA Developer

Thanks

hello priyanshthakore,

may I know your results to displays a list of new and upgradable packages.
for example, $ apt list --upgradable

Running that command this is the result i get nothing else.

Listing… Done

hello priyanshthakore,

so all packages were already updated?
please compare the md5sums within dpkg, for example, $ cat /var/lib/dpkg/info/nvidia-l4t-bootloader.md5sums
thanks

This is the full output of sudo apt-get upgrade

$sudo apt-get upgrade
Reading package lists… Done
Building dependency tree
Reading state information… Done
Calculating upgrade… Done
0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
1 not fully installed or removed.
After this operation, 0 B of additional disk space will be used.
Do you want to continue? [Y/n] Y
Setting up nvidia-l4t-bootloader (32.4.4-20201027211359) …
3448-300—1–jetson-nano-qspi-sd-mmcblk0p1
Starting bootloader post-install procedure.
ERROR. Procedure for bootloader update FAILED.
Cannot install package. Exiting…
dpkg: error processing package nvidia-l4t-bootloader (–configure):
installed nvidia-l4t-bootloader package post-installation script subprocess returned error exit status 1
Errors were encountered while processing:
nvidia-l4t-bootloader
E: Sub-process /usr/bin/dpkg returned an error code (1)

This are the output of checksum, how to check these as in upgrade it is not showing

$ cat /var/lib/dpkg/info/nvidia-l4t-bootloader.md5sums
fee284d867934e0e47c97068c128afff opt/ota_package/t21x/bl_update_payload
e39c97b561b8774e33bdaaf0ba7ab44e usr/share/doc/nvidia-l4t-bootloader/LICENSE.bl_update_payload.gz
507acbd9e9cb6b0118435c4c260cf94a usr/share/doc/nvidia-l4t-bootloader/changelog.Debian.gz
7e975f9aab4d0ed5db5a36433ca6647c usr/share/doc/nvidia-l4t-bootloader/copyright

All packages seems to be upgraded but just this once returns with and error, will removing it affect functioning of jetson ? through

sudo apt-get --force-yes remove nvidia-l4t-bootloader

hello priyanshthakore,

sorry, you may simply use this command, $ dpkg -l | grep bootloader to check the package version.

please also gather logs for reference,
i.e. $ cat /opt/ota_package/bl_update_payload.log
could you please also check the TNSPEC as following,
i.e. $ cat /etc/nv_boot_control.conf
thanks

hello priyanshthakore,

please check this, thanks